package org.apache.maven.abbot.sample;

/* ====================================================================
 *   Copyright 2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import javax.swing.JFrame;
import java.awt.FlowLayout;
import javax.swing.JButton;
import javax.swing.JTextField;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Main extends JFrame
{
  public JButton button;
  public JTextField textField;

  public Main()
  {
    getContentPane().setLayout(new FlowLayout());
    textField = new JTextField("initial");
    button = new JButton("Click Here");
    button.addActionListener(new ActionListener()
        {
        	public void actionPerformed(ActionEvent e)
        	{
        	    textField.setText("modified");
        	}
        }
    );
    getContentPane().add(button);
    getContentPane().add(textField);
    this.pack();
  }

  public static void main(String[] argv)
  {
    Main frame = new Main();
    frame.show();
  }

}